System.Web 2.0.0.0 System.MarshalByRefObject System.IDisposable

The class offers methods and properties for compiling ASP.NET Web applications, and retrieving the generated assemblies or generated source code. Instances of the class are established in the client's application domain and provide access to the ASP.NET build system outside of Microsoft Internet Information Services (IIS). The class can be used to develop customized tools for compiling Web applications.

The command-line tool aspnet_compiler uses the class.

Provides compilation services for ASP.NET applications.

- Constructor
  To be added.

  Initializes a new instance of the class without a specified target directory or precompilation flags.

  The virtual path to the application root.
  The physical path to the application root.
  2.0.0.0
- Constructor

  This form of the constructor is typically used with precompilation, as it specifies a precompilation target directory.

  Initializes a new instance of the class with the specified target directory.

  The virtual path to the application root.
  The physical path to the application root.
  The target directory for precompilation.
  2.0.0.0
- Constructor

  This form of the constructor is typically used with precompilation, as it specifies a precompilation target directory and precompilation flags.

  Initializes a new instance of the class with the specified target directory and compilation parameter.

  The virtual path to the application root.
  The physical path to the application root.
  The target directory for precompilation.
  Values that determine the precompilation behavior.
  2.0.0.0
- Event
  System.Web.Compilation.BuildManagerHostUnloadEventHandler To be added.

  Occurs when an application domain is shut down.

  2.0.0.0
- Event
  System.EventHandler To be added.

  Occurs when an application domain is started.

  2.0.0.0
- Event
  System.Web.Compilation.BuildManagerHostUnloadEventHandler To be added.

  Occurs when an application domain is unloaded.

  2.0.0.0
- Property
  System.String To be added.

  The directory for code generation is typically in the temporary ASP.NET files directory.

  Gets the physical path to the directory used for code generation.

  2.0.0.0
- Method
  System.Void

  The method ensures that resources, Web references, files in the App_Code directory, .browser files in the App_Browsers directory, and the Global.asax file are compiled.

  Compiles application-dependent files, such as files in the App_Code directory, the Global.asax file, resource files, and Web references.

  2.0.0.0
- Method
  System.Void `` To be added.

  Compiles the file represented by the virtual path.

  The path to the file to be compiled. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Compiles the file represented by the virtual path and provides a callback class to receive status information about the build.

  The path to the file to be compiled. The object to receive status information from compilation. 2.0.0.0
- Method
  System.Web.Hosting.IRegisteredObject `` `` To be added.

  Creates an object in the application domain of the ASP.NET runtime.

  An object in the application domain of the ASP.NET runtime.

  The type of object to be created. true to throw an exception if the object has already been created in the application domain of the ASP.NET runtime; otherwise, false. 2.0.0.0
- Method
  System.String `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.CodeDom.CodeCompileUnit `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.CodeDom.CodeCompileUnit `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String[]

  Changes to files in specific top-level directories cause the application domain to shut down. Files within the Bin, App_Code, Global_Resources, Web References, and App_Browsers directories are monitored to detect any changes. When changes are detected, the application domain is shut down.

  Gets the directories with files that, when changed, cause the application domain to shut down.

  A array containing the top-level directory names.

  2.0.0.0
- Method
  System.Collections.IDictionary

  The object contains browser names for the keys and objects for the values. The objects each contain the name of the parent browser element, a description, and the depth of the browser element in the tree.

  Gets a collection of browser elements.

  An containing browser elements.

  2.0.0.0
- Method
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Type `` To be added.

  Compiles the file represented by the virtual path and returns its compiled type.

  The of the compiled file.

  The virtual path of the file to compile. 2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String `` To be added.

  Returns the virtual path of a generated file.

  A containing the virtual path for .

  The full physical path to a generated file. 2.0.0.0
- Method
  System.String `` To be added.

  Gets the physical path to the generated file for a virtual path.

  A that contains the physical path to the generated file.

  The virtual path of the file to retrieve. 2.0.0.0
- Method
  System.String[] `` To be added.

  Returns an array of the assemblies defined in the Bin directory and the <assembly> section of the Web configuration file.

  A array containing paths to code bases in the Bin directory and the <assembly> section of the Web configuration file.

  The configuration name and path. 2.0.0.0
- Method
  System.String[] To be added.

  Returns the virtual paths to the App_Code directory and its subdirectories in an ASP.NET application.

  A array containing all the virtual paths to code directories in an application.

  2.0.0.0
- Method
  System.Object

  This method overrides the method in its base class. It always returns null and thereby prevents a lease from being created that would limit the application domain's lifetime.

  Gives the application domain an infinite lifetime by preventing a lease from being created.

  Always null.

  2.0.0.0
- Method
  System.Boolean `` To be added.

  Indicates whether an assembly is a code assembly.

  true if the parameter matches one of the generated code assemblies; otherwise, false.

  The name of the assembly to be identified as a code assembly. 2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value that indicates whether an application domain for compiling ASP.NET Web applications has been created.

  2.0.0.0
- Method
  System.Void

  ASP.NET supports three forms of precompilation. One form allows for the in-place precompilation of an ASP.NET application. In this form, the site is deployed to production and then precompiled, which eliminates the need to dynamically compile the site when it is first visited by a user. The first user of the site will not experience the delay normally encountered on a site that is dynamically compiled.

  The two other forms of precompilation are used for deployment. In either form, a layout of the site is generated that can be deployed to a production computer. One of these forms includes the markup pages so some amount of updating can be performed on the compiled site. The other form does not contain the markup pages and therefore cannot be updated without recompiling the original site. No source code is deployed to the target environment in either of these forms of precompilation.

  The application to precompile is defined through the constructor. The object of the constructor defines which of the three forms of precompilation to perform.

  A developer can precompile a Web site with the aspnet_compiler command-line tool or by calling the method.

  Precompiles an ASP.NET application.

  2.0.0.0
- Method
  System.Void ``

  ASP.NET supports three forms of precompilation. One form allows for the in-place precompilation of an ASP.NET application. In this form, the site is deployed to production and then precompiled, which eliminates the need to dynamically compile the site when it is first visited by a user. The first user of the site will not experience the delay normally encountered on a site that is dynamically compiled. The parameter contains the method to call when reporting the result of compilation.

  The two other forms of precompilation are used for deployment. In either form, a layout of the site is generated that can be deployed to a production computer. One of these forms includes the markup pages so some amount of updating can be performed on the compiled site. The other form does not contain the markup pages and therefore cannot be updated without recompiling the original site. No source code is deployed to the target environment in either of these forms of precompilation.

  The application to precompile is defined through the constructor. The object of the constructor defines which of the three forms of precompilation to perform.

  A developer can precompile a Web site with the aspnet_compiler command-line tool or by calling the method.

  Precompiles an ASP.NET application and provides a callback method to receive status information about the build.

  A containing the method to call when reporting the result of compilation. 2.0.0.0
- Method
  System.Void `` ``

  ASP.NET supports three forms of precompilation. One form allows for the in-place precompilation of an ASP.NET application. In this form, the site is deployed to production and then precompiled, which eliminates the need to dynamically compile the site when it is first visited by a user. The first user of the site will not experience the delay normally encountered on a site that is dynamically compiled. The parameter contains the method to call when reporting the result of compilation.

  The two other forms of precompilation are used for deployment. In either form, a layout of the site is generated that can be deployed to a production computer. One of these forms includes the markup pages so some amount of updating can be performed on the compiled site. The other form does not contain the markup pages and therefore cannot be updated without recompiling the original site. No source code is deployed to the target environment in either of these forms of precompilation.

  The application to precompile is defined through the constructor. The object of the constructor defines which of the three forms of precompilation to perform.

  A developer can precompile a Web site with the aspnet_compiler command-line tool or by calling the method.

  Precompiles an ASP.NET application, provides a callback method to receive status information about the build, and indicates whether to create a clean build.

  A containing the method to call when reporting the result of compilation. true to perform a clean build, which will first delete all object and intermediate files; false to rebuild only those files that have changed. Set to true if there is a chance that a dependency might not be picked up by the build environment. 2.0.0.0
- Method
  2.0.0.0
  System.Void To be added.

  Terminates the current ASP.NET application.

- Method
  System.Boolean To be added.

  Unloads the application domain for compiling ASP.NET Web applications.

  true if the application domain is unloaded; otherwise, false.

  2.0.0.0